Subject: [Fwd: [Sip] Few tiny issues with SDP section of bis3]

From: Flemming Andreasen <[email-masked]>
Date: Wed, 13 Jun 2001 16:25:39 -0400

Can somebody clarify if either an email address ("e=") or phone number ("p=") MUST
be present in SDP. The spec doesn't seem entirely clear on this.

Thanks

        Flemming

Anders Kristensen wrote:

> They're optional in the grammar, but the accompanying text seems
> perfectly clear that one or the other must be present. Sometimes it's
> more convenient to state requirements in english than BNF - doesn't mean
> it's not part of the spec. I'm pretty sure that the quoted sentence is
> the only reason it's required for SIP.
>
> Anders
>
> Mohsen Soroush-nejad wrote:
> >
> > Section 6 of RFC 2327 lists all the SDP fields. The optional
> > fields are identified by "*". "e" & "p" are identified as optional....
> >
> > Mohsen
> > -----Original Message-----
> > From: Flemming Andreasen [mailto:[email-masked]]
> > Sent: Wednesday, June 13, 2001 12:17 PM
> > To: Anders Kristensen
> > Cc: Jonathan Rosenberg; 'Cullen Jennings'; [email-masked]
> > Subject: Re: [Sip] Few tiny issues with SDP section of bis3
> >
> > That's far from clear if you read it in the context it was provided in.
> > Also, do
> > note that both of these fields are in fact listed as optional earlier in the
> > spec.
> >
> > -- Flemming
> >
> > Anders Kristensen wrote:
> >
> > > It's required by RFC 2327 (no idea why, though:
> > >
> > >    o Either an email field or a phone field must be specified.
> > >      Additional email and phone fields are allowed.
> > >
> > > Thanks,
> > > Anders
> > >
> > > Flemming Andreasen wrote:
> > > >
> > > > Jonathan Rosenberg wrote:
> > > >
> > > > >
> > > > >
> > > > > > -----Original Message-----
> > > > > > From: Cullen Jennings [mailto:[email-masked]]
> > > > > > Sent: Monday, June 11, 2001 3:15 PM
> > > > > > To: [email-masked]
> > > > > > Subject: [Sip] Few tiny issues with SDP section of bis3
> > > > > >
> > > > > >
> > > > > >
> > > > > > Examples in section B don't have an e or P line in the SDP
> > > > > > even though one
> > > > > > them must be present.
> > > > >
> > > > > OK, I fixed that.
> > > >
> > > > Speaking of that: Why is there now a requirement in the SDP section
> > stating
> > > > that "Either an e line or p line MUST be present." ?
> > > >
> > > > -- Flemming
> > > >
> > > > --
> > > > Flemming Andreasen
> > > > Cisco Systems
> > > >
> > > > _______________________________________________
> > > > Sip mailing list
> > > > [email-masked]
> > > > http://www.ietf.org/mailman/listinfo/sip
> >
> > --
> > Flemming Andreasen
> > Cisco Systems
> >
> > _______________________________________________
> > Sip mailing list
> > [email-masked]
> > http://www.ietf.org/mailman/listinfo/sip

--
Flemming Andreasen
Cisco Systems

---

From: Rajesh Kumar <[email-masked]>
Date: Wed, 13 Jun 2001 14:42:05 -0700

rfc2327  annotates them with a "*" and further says: Optional items are 
marked with a "*".

I take this to mean that these are optional. When using it in the context 
of SIP, this convention should be followed. Further, I believe this 
convention has been retained in the on-going SDP work, right?

Rajesh

> > > > > that "Either an e line or p line MUST be present." ?

  Rajesh
--------------------------------------------------------
Rajesh Kumar
Cisco Voice Technology Center
Tel: 408-527-0811, Fax: 408-853-1101
Epage: mailto:[email-masked]
------------------------------------------------ --------

---

From: Colin Perkins <[email-masked]>
Date: Wed, 13 Jun 2001 22:20:33 -0400

It seems that any mandatory use of p= or e= is a hang over from the
original use of SDP with SAP. I don't see that it necessarily makes
sense with many current uses of SDP.

We should clarify this in the revision of SDP, does someone want to
suggest wording changes to the draft?
Colin

---

From: Flemming Andreasen <[email-masked]>
Date: Fri, 15 Jun 2001 15:56:18 -0400

How about changing the bullet:

"o   Either an email field or a phone field must be specified.
    Additional email and phone fields are allowed."

to

"o Zero, one or more email fields and phone fields may be specified."

and then delete the bullet:

"o   More than one email or phone field can be given for a session
    description."

-- Flemming

--
Flemming Andreasen
Cisco Systems